"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DelegatesToResource = void 0;
class DelegatesToResource {
    constructor(resource) {
        if (!(resource instanceof Object)) {
            resource = {};
        }
        this.resource = resource;
        this.proxy = new Proxy(this, {
            get(target, property) {
                if (target[property]) {
                    return target[property];
                }
                if (resource[property]) {
                    return resource[property];
                }
                return undefined;
            },
        });
        return this.proxy;
    }
}
exports.DelegatesToResource = DelegatesToResource;
//# sourceMappingURL=DelegatesToResource.js.map